FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Multiline_Input Class Reference

This input field displays '
' characters as new lines rather than ^J, and accepts the Return, Tab, and up and down arrow keys. More...

`#include <Fl_Multiline_Input.H>`

Inheritance diagram for Fl_Multiline_Input:

List of all members.

## Public Member Functions
| Fl_Multiline_Input (int X, int Y, int W, int H, const char *l=0)
| Creates a new Fl_Multiline_Input widget using the given position, size, and label string.

## Detailed Description

This input field displays '
' characters as new lines rather than ^J, and accepts the Return, Tab, and up and down arrow keys.

This is for editing multiline text.

This is far from the nirvana of text editors, and is probably only good for small bits of text, 10 lines at most. Note that this widget does not support scrollbars or per-character color control.

If you are presenting large amounts of text and need scrollbars or full color control of characters, you probably want Fl_Text_Editor instead.

In FLTK 1.3.x, the default behavior of the 'Tab' key was changed to support consistent focus navigation. To get the older FLTK 1.1.x behavior, set Fl_Input_::tab_nav() to 0. Newer programs should consider using Fl_Text_Editor.

## Constructor & Destructor Documentation

Fl_Multiline_Input::Fl_Multiline_Input | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

Creates a new Fl_Multiline_Input widget using the given position, size, and label string.

The default boxtype is FL_DOWN_BOX.

Inherited destructor destroys the widget and any value associated with it.

The documentation for this class was generated from the following files:

- Fl_Multiline_Input.H
- Fl_Input.cxx